### 命令

npm run build 打包

npm run dev   本地运行

npm run preview 本地预览打包完的文件

### 如何添加模块

添加一个子应用至 modules ，子应用首页如下设置说明模块名

``` vue
<route>
{
  meta: {
    title: '自助服务'
  }
}
</route>
```

---

> &#x270B; ：计划人天数； &#x2705; ：页面已联调，

### 子应用 

1. 融资计算器   (纯前端，等额本息) （ &#x270B;.5） &#x2705;
2. 融资意向   （ &#x270B;.5） &#x2705;
3. 项目查询  (&#x270B; 1.5 项目信息明细页面需要重头画)  &#x2705;
4. 合同签约 （E签宝， 预览签署文件, 由消息推送后做）  （&#x270B; 2）  &#x2705;
5. 还款计划  （支付, 只能从上到下支付）（&#x270B; 2）
6. 还款计划查询  （发票预览下载）  （&#x270B; 2）
7. 自助服务  （ &#x270B;.5）&#x2705;
8. 客户信息变更   （&#x270B; 1）

#### 首页
1. 还款情况展示  （&#x270B; 2）
2. 最近消息展板 （&#x270B; 2）
3. 定位 （只作用于 **融资意向** 选择代理店的时候使用）？&#x2705;

#### 我的

1. 我的奖励券 （&#x270B; 1）
2. 关联项目   （验证码）（&#x270B; 1.5）  &#x2705;
3. 投诉与建议    （&#x270B; .5） &#x2705;
4. 关于我们  （&#x270B; .5）

### 其他

- 关于海马汇方案的特殊情况处理（打包问题， 显示问题，兼容性问题等等）  （&#x270B; 3）

- 消息推送 （极光推送）（&#x270B; 1）

### **合计：** 22.5 （接口完毕情况下）


问题： 支付，ios证书等，代码版权



---
### 打包流程

1. 到 package.json 执行相应模块的打包命令, 打包模块在 dist

2. 由于 vite 使用 ESM，故 index.html 作以下修改
  - 去除带有 type="module" 的行 （3行）
  - 去除关键字 nomodule 、crossorigin
  - 将 `<script nomodule crossorigin id="vite-legacy-entry" data-src="./assets/index-legacy.147c7483.js">System.import(document.getElementById('vite-legacy-entry').getAttribute('data-src'))</script>` 改为 `<script id="vite-legacy-entry" src="./assets/index-legacy.147c7483.js"></script>` (去除关键字，data-src 改为 src，script内容去除)

3. 模块包打包成 zip

4. [海马汇测试地址](http://handapptest.komatsu-fl.com.cn:8080/oauth/login) admin/Admin@123!  
  - 这上方网址下搜索功能 "子应用管理"，找到对应的模块，新建版本，提交 zip包 ，点击确认退出




